<template>
    <div class="character">
    <v-card class="my-2 mx-2" max-width="500px">
      <v-card-text class="normal-control">
        <p class="display-1 text--primary" id="character_name">
          {{character.name}}
        </p>
        <h3>({{character.gender}}, {{character.species}})</h3>
      </v-card-text>      
        <v-text-field class="mx-4 hide edit-control" id="character_name_text" v-model="name"></v-text-field>
        <v-btn outlined text class="mx-2 hide edit-control" @click="cancelEdit">Cancel</v-btn>
        <v-btn outlined text class="mx-2 hide edit-control" @click="saveCharacter">Save</v-btn>
      <v-card-actions>
        <v-btn outlined text class="normal-control" @click="editCharacter">Edit</v-btn>
        <v-btn outlined text color="error" class="normal-control" @click="$emit('del-character', character.id)">Delete</v-btn>
      </v-card-actions>
    </v-card>
    </div>
</template>

<script>
export default {
  name: "Character",
  props: ["character"],
  data() {
    return {
      name: "",
    };
  },
  methods: {
    editCharacter(e) {
      e.preventDefault();
      let normal_elements = document.getElementsByClassName("normal-control");
      let edit_elements = document.getElementsByClassName("edit-control");
      for (let item of normal_elements) {
        item.classList.add("hide");
      }
      for (let item of edit_elements) {
        item.classList.remove("hide");
      }
      let character_name = document.getElementById("character_name").innerText.trim();
      document.getElementById("character_name_text").value = character_name;
    },
    saveCharacter(e) {
      e.preventDefault();
      // const newCategory = {
      //   name: this.name,
      // };

      // this.$emit("save-category", newCategory);
      // console.log(this.$props);
      console.log("hi");
    },
    cancelEdit(e){
      e.preventDefault();
      console.log('canceled!')
    }
  },
}
</script>

<style scoped>
.hide {
  display: none;
}
</style>